Subject: Re: [bug#39108] [PATCH] gnu: Add gst-editing-services.
From: Marius Bakke <[email-masked]>
To: Leo Prikler <[email-masked]>, [email-masked]
Date: Fri, 14 Feb 2020 17:51:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Prikler <[email-masked]> writes:

> Am Freitag, den 14.02.2020, 17:12 +0100 schrieb Marius Bakke:
>> I'm getting a strange build failure with this patch:
>> 
>> 
>> ...
>> Dependency gstreamer-plugins-base-1.0 found: YES 1.16.2
>> Dependency gstreamer-plugins-bad-1.0 found: NO (tried pkgconfig and
>> cmake)
>> 
>> tests/check/meson.build:41:2: ERROR: 'not-found' is not a pkgconfig
>> dependency
>> 
>> A full log can be found at /tmp/guix-build-gst-editing-services-
>> 1.16.2.drv-0/build/meson-logs/meson-log.txt
>> 
>> I suppose it needs 'gst-plugins-bad'?
> Indeed, it does, though interestingly just for tests, which are
> currently broken.  I already had this back when I tried meson, but have
> since forgot about it.  There are no actual references to it, so I've
> made it a native input.  As far as using it is concerned, I think one
> might be able to do without a certain set of plugins depending on the
> codecs used.  Either way, I'm not really sure whether it should
> propagate the main plugin set.
>
> I also added the good plugins even if they are not mentioned, just to
> be on the safe side.  

OK.  I changed the TODO to a FIXME and added a copyright line for you.

Pushed in 64fc4f3705423c83c680a95d8dea81a39fce9a70, thanks!